import { world, system, EntityEquippableComponent, EquipmentSlot, ItemStack } from "@minecraft/server";


export function addEffect(player, effectType, duration, level, particles) {
	return player.addEffect(effectType, duration*2, {amplifier: level, showParticles: particles}) ?? 0;
}

export function removeEffect(player, effectType) {
	return player.removeEffect(effectType) ?? 0;
}

export function addDamage(player, damage){
	try{
		if(player && damage){
			system.runTimeout(() => {
				player.applyDamage(damage); 
			}, 10)
		} return 0;
	}catch(e){
	}
}



export function getScore(player, objective) {
  return world.scoreboard.getObjective(objective).getScore(player) ?? 0;
}
export function setScore(player, objective, score) {
  return world.scoreboard.getObjective(objective).setScore(player, score) ?? 0;
}
export function addScore(player, objective, score) {
  return world.scoreboard.getObjective(objective).addScore(player, score) ?? 0;
}